Loading...
Searching...
No Matches
vec_expr_v2_binary< Op, Expr1, Expr2 >::const_iterator

## Detailed Description

template<class Op, class Expr1, class Expr2>
struct rheolef::details::vec_expr_v2_binary< Op, Expr1, Expr2 >::const_iterator

Definition at line 186 of file vec_expr_v2.h.

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef promote< typenameExpr1::value_type, typenameExpr2::value_type >::type | value_type
typedef value_type & | reference
typedef value_type * | pointer
typedef std::ptrdiff_t | difference_type

## Public Member Functions

| const_iterator (Op op, expr1_const_iterator iter1, expr2_const_iterator iter2)
const_iterator & | operator++ ()
value_type | operator* () const

## Protected Attributes

const Op | _op
expr1_const_iterator | _iter1
expr2_const_iterator | _iter2

## Member Typedef Documentation

## iterator_category

template<class Op , class Expr1 , class Expr2 >

typedef std::forward_iterator_tag iterator_category

Definition at line 187 of file vec_expr_v2.h.

## value_type

template<class Op , class Expr1 , class Expr2 >

typedef promote<typenameExpr1::value_type,typenameExpr2::value_type>::type value_type

Definition at line 190 of file vec_expr_v2.h.

## reference

template<class Op , class Expr1 , class Expr2 >

typedef value_type& reference

Definition at line 191 of file vec_expr_v2.h.

## pointer

template<class Op , class Expr1 , class Expr2 >

typedef value_type* pointer

Definition at line 192 of file vec_expr_v2.h.

## difference_type

template<class Op , class Expr1 , class Expr2 >

typedef std::ptrdiff_t difference_type

Definition at line 193 of file vec_expr_v2.h.

## Constructor & Destructor Documentation

## const_iterator()

template<class Op , class Expr1 , class Expr2 >

const_iterator | ( | Op | op,
|  | expr1_const_iterator | iter1,
|  | expr2_const_iterator | iter2
| ) |  |

Definition at line 194 of file vec_expr_v2.h.

## Member Function Documentation

## operator++()

template<class Op , class Expr1 , class Expr2 >

const_iterator & operator++ | ( |  | ) |

Definition at line 196 of file vec_expr_v2.h.

## operator*()

template<class Op , class Expr1 , class Expr2 >

value_type operator* | ( |  | ) | const

Definition at line 197 of file vec_expr_v2.h.

## Member Data Documentation

## _op

template<class Op , class Expr1 , class Expr2 >

const Op _op

protected

Definition at line 199 of file vec_expr_v2.h.

## _iter1

template<class Op , class Expr1 , class Expr2 >

expr1_const_iterator _iter1

protected

Definition at line 200 of file vec_expr_v2.h.

## _iter2

template<class Op , class Expr1 , class Expr2 >

expr2_const_iterator _iter2

protected

Definition at line 201 of file vec_expr_v2.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/linalg/lib/vec_expr_v2.h